class Account:
    
    def __init__(self, client, bank, i, card, balance):
        self.__client = client
        self.__bank = bank
        self.__i = i
        self.__card = card
        self.__balance = balance
        
    
    def __str__(self):
        return str(self.__client.i) + self.__bank
        
    
    @property
    def client(self):
        return self.__client
    
    @property
    def bank(self):
        return self.__bank
    
    @property
    def i(self):
        return self.__i
    
    @property
    def card(self):
        return self.__card
    
    @property
    def balance(self):
        return self.__balance

    
    @balance.setter
    def balance(self, value):
        self.__balance = value  